
set( protoduneana_VERSION 09.22.02 )
set( protoduneana_UPS_VERSION v09_22_02 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( dunetpc v08_31_01 )
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcore v1_00_00 )
find_ups_product( larcorealg  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( larevt v1_00_00 )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( libwda  )
find_ups_product( larpandora v1_00_00 )
find_ups_product( larsim  )
find_ups_product( marley  )
find_ups_product( nutools  )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
find_ups_product( nug4  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
find_ups_product( nugen  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite/BUILDTYPE/debug/QUAL/s106-c7/label1/swarm/label2/SLF7/build/libxml2/v2_9_10a/Linux64bit+3.10-2.17/lib NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
find_ups_product( gsl  )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
find_ups_product( nurandom  )
find_ups_product( ifdhc  )
find_ups_product( log4cpp  )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larreco  )
find_ups_product( eigen  )
find_ups_product( pandora  )
find_ups_product( larpandoracontent  )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
find_ups_product( larana v1_00_00 )
find_ups_product( nuevdb  )
find_ups_product( dune_raw_data  )
find_ups_product( artdaq_core v1_06_01 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( gallery v1_08_02 )
find_ups_product( hdf5 v1_12_0b )
  cet_find_library( SIGC NAMES sigc-2.0 PATHS ENV LIBSIGCPP_LIB NO_DEFAULT_PATH )
find_ups_product( dunepdsprce v0_0_3 )
find_ups_product( ifdh_art  )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( systematicstools v00_01_01 )
find_ups_product( nusystematics v00_01_01 )
  cet_find_library( ARTDAQ-CORE_UTILITIES NAMES artdaq-core_Utilities PATHS ENV ARTDAQ_CORE_LIB )
find_ups_product( geant4reweight  )
  cet_find_library( CETBUILD_EXCEPT NAMES cetlib_except PATHS /scratch/workspace/build-nulite/BUILDTYPE/debug/QUAL/s106-c7/label1/swarm/label2/SLF7/build/cetlib_except/v1_05_00/slf7.x86_64.c7.debug/lib )
  cet_find_library( CETBUILD NAMES cetlib PATHS /scratch/workspace/build-nulite/BUILDTYPE/debug/QUAL/s106-c7/label1/swarm/label2/SLF7/build/cetlib/v3_11_01/slf7.x86_64.c7.debug/lib )
find_ups_product( hep_hpc  )
  cet_find_library( HDF5 NAMES hdf5 PATHS ENV HDF5_LIB NO_DEFAULT_PATH )
set(CLUSTERCOUNTER_MODULE "$ENV{PROTODUNEANA_LIB}/libClusterCounter_module.so")
set(CLUSTERCOUNTER2_MODULE "$ENV{PROTODUNEANA_LIB}/libClusterCounter2_module.so")
set(CLUSTERCOUNTER3_MODULE "$ENV{PROTODUNEANA_LIB}/libClusterCounter3_module.so")
set(CLUSTERCOUNTER4_MODULE "$ENV{PROTODUNEANA_LIB}/libClusterCounter4_module.so")
set(CLUSTERCOUNTER5_MODULE "$ENV{PROTODUNEANA_LIB}/libClusterCounter5_module.so")
set(READSPACEPOINTANDCNN_MODULE "$ENV{PROTODUNEANA_LIB}/libReadSpacePointAndCnn_module.so")
set(READBEAMINFO_MODULE "$ENV{PROTODUNEANA_LIB}/libReadBeamInfo_module.so")
set(MICHELHITCOUNTER_MODULE "$ENV{PROTODUNEANA_LIB}/libMichelHitCounter_module.so")
set(VTXSCORE_MODULE "$ENV{PROTODUNEANA_LIB}/libVtxScore_module.so")
set(MICHELEVENTSELECTION_MODULE "$ENV{PROTODUNEANA_LIB}/libMichelEventSelection_module.so")
set(PROTODUNEANA_SINGLEPHASE_XYZCALIBRATION_XYZCALIBRATION_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_XYZcalibration_XYZcalibration_module.so")
set(PROTODUNEANA_SINGLEPHASE_MICHELREMOVING_MICHELREMOVING_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_michelremoving_michelremoving_module.so")
set(PROTONANALYSIS_MODULE "$ENV{PROTODUNEANA_LIB}/libprotonanalysis_module.so")
set(PROTONBEAMANA_MODULE "$ENV{PROTODUNEANA_LIB}/libprotonbeamana_module.so")
set(PROTONMC_MODULE "$ENV{PROTODUNEANA_LIB}/libprotonmc_module.so")
set(PROTONMCCNN_MODULE "$ENV{PROTODUNEANA_LIB}/libprotonmccnn_module.so")
set(MCSXSECTION_MODULE "$ENV{PROTODUNEANA_LIB}/libmcsXsection_module.so")
set(PIONANALYSIS_MODULE "$ENV{PROTODUNEANA_LIB}/libpionanalysis_module.so")
set(PIONANALYSISMC_MODULE "$ENV{PROTODUNEANA_LIB}/libpionanalysismc_module.so")
set(TRUEPIONXSECTION_MODULE "$ENV{PROTODUNEANA_LIB}/libtruepionXsection_module.so")
set(TRUEEDEP_MODULE "$ENV{PROTODUNEANA_LIB}/libTrueEdep_module.so")
set(WIRECHGANA_MODULE "$ENV{PROTODUNEANA_LIB}/libWireChgAna_module.so")
set(TRUEPION_MODULE "$ENV{PROTODUNEANA_LIB}/libtruepion_module.so")
set(DIFFUSIONCATHODET0_MODULE "$ENV{PROTODUNEANA_LIB}/libdiffusioncathodet0_module.so")
set(HITRMSFINDING_MODULE "$ENV{PROTODUNEANA_LIB}/libhitrmsfinding_module.so")
set(VELOCITY_MODULE "$ENV{PROTODUNEANA_LIB}/libvelocity_module.so")
set(DRIFTANA_MODULE "$ENV{PROTODUNEANA_LIB}/libDriftAna_module.so")
set(DRIFTVEL_MODULE "$ENV{PROTODUNEANA_LIB}/libdriftvel_module.so")
set(PIONABSCEXSELECTION_MODULE "$ENV{PROTODUNEANA_LIB}/libPionAbsCexSelection_module.so")
set(PIONCROSSSECTIONANALYZER_MODULE "$ENV{PROTODUNEANA_LIB}/libPionCrossSectionAnalyzer_module.so")
set(PRIMARYPIONSELECTION_MODULE "$ENV{PROTODUNEANA_LIB}/libPrimaryPionSelection_module.so")
set(TRUTHANALYZER_MODULE "$ENV{PROTODUNEANA_LIB}/libTruthAnalyzer_module.so")
set(PDSPANALYZER_MODULE "$ENV{PROTODUNEANA_LIB}/libPDSPAnalyzer_module.so")
set(EMCNNCHECK_MODULE "$ENV{PROTODUNEANA_LIB}/libEMCNNCheck_module.so")
set(MICHELTIMING_MODULE "$ENV{PROTODUNEANA_LIB}/libMichelTiming_module.so")
set(PROTODUNEPIZEROANATREE_MODULE "$ENV{PROTODUNEANA_LIB}/libProtoDUNEPizeroAnaTree_module.so")
set(PROTODUNEELECTRONANATREE_MODULE "$ENV{PROTODUNEANA_LIB}/libProtoDUNEelectronAnaTree_module.so")
set(PROTODUNEELECTRONWIREANA_MODULE "$ENV{PROTODUNEANA_LIB}/libProtoDUNEelectronWireAna_module.so")
set(PROTODUNEANA_SINGLEPHASE_T0ANA_CRTMATCHTRACKCALOANA_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_T0Ana_CRTMatchTrackCaloAna_module.so")
set(PROTODUNEANA_SINGLEPHASE_T0ANA_CHECKCRT_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_T0Ana_CheckCRT_module.so")
set(PROTODUNEANA_SINGLEPHASE_T0ANA_CHECKT0_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_T0Ana_CheckT0_module.so")
set(PROTODUNEANA_SINGLEPHASE_T0ANA_T0RECOSCE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_T0Ana_T0RecoSCE_module.so")
set(PROTODUNEANA_SINGLEPHASE_MDMANA_MDMANA_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_singlephase_MDMAna_MDMAna_module.so")
set(PDSPMATCH_MODULE "$ENV{PROTODUNEANA_LIB}/libPDSPmatch_module.so")
set(PDSPMATCHMC_MODULE "$ENV{PROTODUNEANA_LIB}/libPDSPmatchmc_module.so")
set(HITRMS_MODULE "$ENV{PROTODUNEANA_LIB}/libhitrms_module.so")
set(HITRMSRAWDIGITS_MODULE "$ENV{PROTODUNEANA_LIB}/libhitrmsrawdigits_module.so")
set(HITNORMCHECK_MODULE "$ENV{PROTODUNEANA_LIB}/libHitNormCheck_module.so")
set(COSMICSDQDX_MODULE "$ENV{PROTODUNEANA_LIB}/libCosmicsdQdx_module.so")
set(TRACKHITINFO_MODULE "$ENV{PROTODUNEANA_LIB}/libTrackHitInfo_module.so")
set(PROTODUNEBEAMTPCMATCHING_MODULE "$ENV{PROTODUNEANA_LIB}/libProtoDUNEBeamTPCMatching_module.so")
set(PROTODUNEUTILITIES "$ENV{PROTODUNEANA_LIB}/libProtoDUNEUtilities.so")
set(PROTODUNEANA_UTILITIES_DEDX_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_DEdx_module.so")
set(PROTODUNEANA_UTILITIES_ECALIBRATION_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ECalibration_module.so")
set(PROTODUNEANA_UTILITIES_EDEPCAL_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_EdepCal_module.so")
set(PROTODUNEANA_UTILITIES_FAKEPEDESTAL_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_FakePedestal_module.so")
set(PROTODUNEANA_UTILITIES_G4RWEXAMPLEANALYZER_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_G4RWExampleAnalyzer_module.so")
set(PROTODUNEANA_UTILITIES_HADCAL_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_HadCal_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEANALCOSMICTREE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEAnalCosmicTree_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEANALTREE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEAnalTree_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEANALYSISTREE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEAnalysisTree_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEBEAMTPCRECOEFFICIENCY_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEBeamTPCRecoEfficiency_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEBEAMLINEFILTER_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEBeamlineFilter_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEBEAMLINERECO_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEBeamlineReco_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNEDPANALCOSMICTREE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNEDPAnalCosmicTree_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNETRUTHBEAMFILTER_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNETruthBeamFilter_module.so")
set(PROTODUNEANA_UTILITIES_PROTODUNETRUTHBEAMPARTICLE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoDUNETruthBeamParticle_module.so")
set(PROTODUNEANA_UTILITIES_PROTOFLASH_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_ProtoFlash_module.so")
set(PROTODUNEANA_UTILITIES_RECOEFF_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_RecoEff_module.so")
set(PROTODUNEANA_UTILITIES_RECOHITSEFF_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_RecoHitsEff_module.so")
set(PROTODUNEANA_UTILITIES_RECOSTATS_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_RecoStats_module.so")
set(PROTODUNEANA_UTILITIES_SAVESPACEPOINTS_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_SaveSpacePoints_module.so")
set(PROTODUNEANA_UTILITIES_UTILITYEXAMPLE_MODULE "$ENV{PROTODUNEANA_LIB}/libprotoduneana_Utilities_UtilityExample_module.so")
set(PROTODUNE_FITUTILS "$ENV{PROTODUNEANA_LIB}/libprotodune_fitutils.so")
set(DATADUMP_MODULE "$ENV{PROTODUNEANA_LIB}/libDataDump_module.so")
set(RAWWAVEFORMDUMP_MODULE "$ENV{PROTODUNEANA_LIB}/libRawWaveformDump_module.so")
set(DATADUMPHDF_MODULE "$ENV{PROTODUNEANA_LIB}/libDataDumpHDF_module.so")
  include_directories ( "$ENV{PROTODUNEANA_INC}" )

check_required_components(protoduneana)

